Summary:	Graphical client for PostgreSQL
Name:		pgadmin3
Version:	1.20.0
Release:	1%{?dist}
License:	PostgreSQL
Group:		Applications/Databases
Source:		ftp://ftp.postgresql.org/pub/pgadmin3/release/v%{version}/src/%{name}-%{version}.tar.gz
Patch0:		%{name}-1.14.2-cflags.patch
Patch2:		%{name}-desktop.patch
URL:		http://www.pgadmin.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	wxGTK-devel postgresql-devel desktop-file-utils openssl-devel libxml2-devel libxslt-devel
Requires:	wxGTK

%description
pgAdmin III is a powerful administration and development
platform for the PostgreSQL database, free for any use.
It is designed to answer the needs of all users,
from writing simple SQL queries to developing complex
databases. The graphical interface supports all PostgreSQL
features and makes administration easy.

pgAdmin III is designed to answer the needs of all users, 
from writing simple SQL queries to developing complex databases. 
The graphical interface supports all PostgreSQL features and 
makes administration easy. The application also includes a syntax 
highlighting SQL editor, a server-side code editor, an 
SQL/batch/shell job scheduling agent, support for the Slony-I 
replication engine and much more. No additional drivers are 
required to communicate with the database server.

%prep
%setup -q
%patch0 -p1
%patch2 -p0

%build
export LIBS="-lwx_gtk2u_core-2.8"
%configure --disable-debug --disable-dependency-tracking --with-wx-version=2.8 --with-wx=%{_prefix}
make %{?_smp_mflags} all

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}%{_datadir}/%{name}/
cp -f ./pkg/debian/pgadmin3.xpm %{buildroot}/%{_datadir}/%{name}/%{name}.xpm

mkdir -p %{buildroot}/%{_datadir}/applications

desktop-file-install --dir %{buildroot}%{_datadir}/applications \
%if 0%{?rhel}
	--vendor="" \
%endif
	--add-category Development pkg/%{name}.desktop

# Convert changelog, fix incorrect end-of-line encoding
iconv -f iso-8859-1 -t utf-8 -o CHANGELOG.utf8 CHANGELOG
sed -i 's/\r$//' CHANGELOG.utf8
touch -c -r CHANGELOG CHANGELOG.utf8
mv -f CHANGELOG.utf8 CHANGELOG

# Remove unwanted and double files
rm -f docs/{Docs.vcproj,builddocs.bat}
rm -f %{buildroot}%{_datadir}/%{name}/i18n/{*,.}/wxstd.mo

# Move locales to their correct place
mkdir -p %{buildroot}%{_datadir}/locale
mv -f %{buildroot}%{_datadir}/%{name}/i18n/??_?? %{buildroot}%{_datadir}/locale

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc BUGS CHANGELOG LICENSE README docs/*
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*

%changelog
* Mon Dec 22 2014 Devrim GUNDUZ <devrim@gunduz.org> 1.20.0-1
- Update to 1.20.0
- Update download URL -- community will deprecate FTP service.

* Mon Oct 29 2012 Devrim GUNDUZ <devrim@gunduz.org> 1.16.0-1
- Update licence, per bz #871183.
- Update to 1.16.0

* Wed Feb 23 2011 Devrim GUNDUZ <devrim@gunduz.org> 1.12.2-2
- Actually install desktop icon.

* Tue Feb 15 2011 Devrim GUNDUZ <devrim@gunduz.org> 1.12.2-1
- Update to 1.12.2
- Trim changelog
